﻿@using GrinGlobal.Zone.Helpers

@{
    Layout = "~/Views/Shared/_Layout_Blank.cshtml";
    ViewBag.Title = "Login";
}

<div class="login-container">
    <div class="row">
        <div class="col-md-12">
            <div class="text-center m-b-md">
                <h3>GB-Zone <br /> Community</h3>
            </div>
            <div class="hpanel">
                <div class="panel-body">
                    @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.ValidationSummary(true, "", new { @class = "btn-danger2" })
                        @Html.AntiForgeryToken()

                        <div class="form-group">
                            <label class="control-label">Connect To</label>
                            <select class="form-control m-b" name="server">
                                @foreach (var instance in Settings.ServerList())
                                {
                                    <option value="@instance.Attribute("id").Value">@instance.Attribute("name").Value</option>
                                }
                            </select>
                            <span class="help-block small">GRIN-Global server</span>
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="username">Username</label>
                            <input type="text" placeholder="GRIN-Global username" title="Please enter you username" required="" value="" name="username" id="username" class="form-control">
                            <span class="help-block small">Your GRIN-Global username</span>
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="password">Password</label>
                            <input type="password" title="Please enter your password" placeholder="******" required="" value="" name="password" id="password" class="form-control">
                            <span class="help-block small">Your strong password</span>
                        </div>
                        <button class="btn btn-success btn-block">Login</button>
                    }
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-center">
            by GRIN-Global <br /> © 2019 CIMMYT
        </div>
    </div>
</div>
